/*
  AT Command Tool
  Written to work with HC-05 and Arduino Nano

  This example code is in the public domain

  last update 06-20-2024
  by Andres Torres
*/

#include <SoftwareSerial.h>

SoftwareSerial mSerial(10, 11);   // RX | TX

void setup() {
  pinMode(9, OUTPUT);    // this will pull the HC-05 enable high to turn it on - low for off
  digitalWrite(9, HIGH); 
  
  Serial.begin(9600);
  Serial.println("-=AT Command Mode Ready=-");
  Serial.println("Enter Commands Here:");
  mSerial.begin(38400);  // HC-05 default baud rate in AT command mode
}

void loop() {
//Serial path from COMPUTER [serial monitor] -> HC-05
  if (Serial.available())          // reads from the Serial Monitor 
    mSerial.write(Serial.read());  // sends to the HC-05

//Serial path from HC-05 -> COMPUTER [serial monitor]    
  if (mSerial.available())         // reads from the HC-05 
    Serial.write(mSerial.read());  // sends to the Serial Monitor
}
